summaryrefslogtreecommitdiffstats
path: root/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24
diff options
context:
space:
mode:
authorNicolas Vigier <boklm@mageia.org>2013-04-14 13:46:12 +0000
committerNicolas Vigier <boklm@mageia.org>2013-04-14 13:46:12 +0000
commit1be510f9529cb082f802408b472a77d074b394c0 (patch)
treeb175f9d5fcb107576dabc768e7bd04d4a3e491a0 /zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24
parentfa5098cf210b23ab4f419913e28af7b1b07dafb2 (diff)
downloadarchives-master.tar
archives-master.tar.gz
archives-master.tar.bz2
archives-master.tar.xz
archives-master.zip
Add zarb MLs html archivesHEADmaster
Diffstat (limited to 'zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24')
-rw-r--r--zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment-0001.bin26
-rw-r--r--zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment.bin26
2 files changed, 52 insertions, 0 deletions
diff --git a/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment-0001.bin b/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment-0001.bin
new file mode 100644
index 000000000..d820066c4
--- /dev/null
+++ b/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment-0001.bin
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ $# != 4 ]
+then
+ echo 'Usage: mga-move-update distrorelease section srcname bugnumber' >&2
+ exit 1
+fi
+
+distrorelease="$1"
+section="$2"
+srcname="$3"
+bugnumber="$4"
+
+mga-move-update "$1" "$2" "$3"
+
+export SIG="https://bugs.mageia.org/show_bug.cgi?id=$4"
+
+mutt -e 'set from="Mageia Updates <buildsystem-daemon@mageia.org>"' \
+ -e 'set signature="( echo ; echo $SIG)|"' \
+ -e 'set sig_dashes=no' \
+ -e 'set autoedit=yes' \
+ -e 'set edit_headers=yes' \
+ updates-announce@ml.mageia.org -s "Package update: $3 ($2)"
+
+# TODO close the bug automatically with web api :
+# http://www.bugzilla.org/docs/tip/en/html/api/Bugzilla/WebService/Bug.html#update
diff --git a/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment.bin b/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment.bin
new file mode 100644
index 000000000..d820066c4
--- /dev/null
+++ b/zarb-ml/mageia-sysadm/attachments/20110720/eef0cd24/attachment.bin
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ $# != 4 ]
+then
+ echo 'Usage: mga-move-update distrorelease section srcname bugnumber' >&2
+ exit 1
+fi
+
+distrorelease="$1"
+section="$2"
+srcname="$3"
+bugnumber="$4"
+
+mga-move-update "$1" "$2" "$3"
+
+export SIG="https://bugs.mageia.org/show_bug.cgi?id=$4"
+
+mutt -e 'set from="Mageia Updates <buildsystem-daemon@mageia.org>"' \
+ -e 'set signature="( echo ; echo $SIG)|"' \
+ -e 'set sig_dashes=no' \
+ -e 'set autoedit=yes' \
+ -e 'set edit_headers=yes' \
+ updates-announce@ml.mageia.org -s "Package update: $3 ($2)"
+
+# TODO close the bug automatically with web api :
+# http://www.bugzilla.org/docs/tip/en/html/api/Bugzilla/WebService/Bug.html#update